Subject: [PATCH 1/2] mfd: add irq domain support for max8997 interrupts

From: [email-masked] (Mark Brown)
Date: Fri, 9 Dec 2011 14:02:50 +0800

On Fri, Dec 09, 2011 at 10:55:10AM +0530, Thomas Abraham wrote:
> On 9 December 2011 10:11, Mark Brown

> > Removing irq_base from platform data isn't going to be helpful for
> > anyone using the driver on non-DT platforms as it's going to make it
> > impossible to find the interrupts.

> All the consumers of the max8997 interrupts are the drivers for the
> sub-blocks of max8997. These drivers have access to 'irq_domain'
> member of 'struct max8997_dev', From irq_domain, the sub-block driver
> can get the irq_base and add one of the 'enum max8997_irq' offset when
> registering for interrupt notifications.

There's no GPIOs with interrupt support (even if they're not implemented
yet)?